// Transparent background and border properties included for button version.
// iOS requires the button element instead of an anchor tag.
// If you want the anchor version, it requires `href="#"`.
// See https://developer.mozilla.org/en-US/docs/Web/Events/click#Safari_Mobile

.btn-close {
    padding: 0;
    font-size: 0;
    border: none;
    outline: none;
    line-height: 0;
    width: rem(32);
    height: rem(32);
    display: block;
    cursor: pointer;
    position: relative;
    background: transparent;

    &:after,
    &:before {
        top: calc(50% - 1px);
        left: calc(50% - 8px);
        z-index: 5;
        content: '';
        width: 16px;
        height: 1px;
        display: block;
        position: absolute;
        border-radius: 2px;
        background: var(--gray);
        transition: var(--transition-time);

        &:hover {
            background: var(--dark);
            transition: var(--transition-time);
        }
    }

    &:after {
        transform: rotate(-45deg);
    }

    &:before {
        transform: rotate(45deg);
    }

  &:hover {
    color: var(--#{$prefix}btn-close-color);
    text-decoration: none;
    opacity: var(--#{$prefix}btn-close-hover-opacity);
  }

  &:focus {
    outline: 0;
    box-shadow: var(--#{$prefix}btn-close-focus-shadow);
    opacity: var(--#{$prefix}btn-close-focus-opacity);
  }

  &:disabled,
  &.disabled {
    pointer-events: none;
    user-select: none;
    opacity: var(--#{$prefix}btn-close-disabled-opacity);
  }
}

@mixin btn-close-white() {
  filter: var(--#{$prefix}btn-close-white-filter);
}

.btn-close-white {
  @include btn-close-white();
}

@if $enable-dark-mode {
  @include color-mode(dark) {
    .btn-close {
      @include btn-close-white();
    }
  }
}
